# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'paginater/version'

Gem::Specification.new do |gem|
  gem.name          = "paginater"
  gem.version       = Paginater::VERSION
  gem.platform      = Gem::Platform::RUBY
  gem.authors       = ["zeroed"]
  gem.description   = "gem for foo pagination features in Grape"
  gem.summary       = %q{YAPG: yet another pagination gem}
  gem.homepage      = "https://github.com/zeroed/paginater"
  gem.license       = "MIT"
  gem.rubyforge_project = "paginater"

  gem.add_dependency 'bundler'
  gem.add_dependency 'rake'
  gem.add_dependency 'rspec'
  gem.add_dependency 'rack-test'
  gem.add_dependency 'rspec-rails'
  gem.add_dependency 'cookiejar'
  gem.add_dependency 'activerecord'
  gem.add_dependency 'sqlite3'

  gem.add_dependency 'grape'

  gem.add_dependency 'kaminari' # , :require => 'kaminari/grape'

  gem.add_development_dependency 'thin'

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]
end
