 $LOAD_PATH.unshift(File.dirname(__FILE__))
 $LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
 $LOAD_PATH.unshift(File.join(File.dirname(__FILE__), 'support'))

require 'rubygems'

require 'bundler'
Bundler.setup :default, :test

require 'rspec'
require 'rack/test'
require 'ostruct'
require 'base64'
require 'cookiejar'

require 'grape'
# require 'grape-entity'
require 'paginater'

require 'kaminari'

RSpec.configure do |config|
  config.include Rack::Test::Methods
end

def alphabet
  %w(Alpha  Bravo  Charlie  Delta  Echo
      Foxtrot 	Golf 	Hotel  India  Juliet
      Kilo  Lima  Mike  November Oscar
      Papa  Quebec  Romeo 	Sierra 	Tango
      Uniform 	Victor 	Whiskey  X-Ray 	Yankee
      Zulu)
end

def items(limit)
  k = []
  0.upto(limit).each do |i| 
    k << "item #{'%03d' % i}"
  end
  k
end

def stuff
  stuff = {:stuff => 'foo bar'}
end

def numbers(limit = 42)
  0.upto(limit).to_a
end

def paginatable_array_with_limit_and_offset(limit = 10, offset = 20)
  Kaminari::PaginatableArray.new(items(100), :limit => limit, :offset => offset)
end

def paginatable_array
  Kaminari::PaginatableArray.new(items(100))
end

